Subject: bug#63762: 29.0.91; tty emacs on macOS fail to load tree-sitter

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 May 2023 11:31:39 +0300

> From: Jimmy Yuen Ho Wong <[email-masked]>
> Date: Sun, 28 May 2023 09:15:15 +0100
> Cc: [email-masked]
> 
> I only have 1 copy of those tree-sitter libraries in my entire system, and on both the TTY and NS ports,
> (treesit-available-p) returns t. All of the tree-sitter libraries are in /opt/local/lib, it's just the TTY port isn't
> able to pick them up. Here's a directory listing

What I meant to say is that by macOS conventions, a console program
looks for shared libraries in different places.  But that's a guess; I
don't really know how this works on macOS.

All I can suggest is step in a debugger through the code in
treesit_load_language, and see why the TTY version fails to find the
grammar libraries.  I don't have this problem on MS-Windows, FWIW.  So
it is something macOS-specific, and we need a macOS expert to
investigate.